org.springframework.messaging.handler.annotation.support

## Class MethodArgumentTypeMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException
          - - org.springframework.messaging.handler.invocation.MethodArgumentResolutionException
            - - org.springframework.messaging.handler.annotation.support.MethodArgumentTypeMismatchException

All Implemented Interfaces:
  Serializable

    public class MethodArgumentTypeMismatchException
    extends MethodArgumentResolutionException

Exception that indicates that a method argument has not the expected type.

Since:
  4.0.3
Author:
  Stephane Nicoll
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodArgumentTypeMismatchException(Message<?> message, org.springframework.core.MethodParameter parameter, String description)`

### Method Summary

### Methods inherited from class org.springframework.messaging.handler.invocation.MethodArgumentResolutionException

`getMethodParameter`

### Methods inherited from class org.springframework.messaging.MessagingException

`getFailedMessage, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodArgumentTypeMismatchException

    public MethodArgumentTypeMismatchException(Message<?> message,
                                               org.springframework.core.MethodParameter parameter,
                                               String description)